SDL_test_memory.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_test_memory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | SDLTest_TrackAllocations (void)
void | SDLTest_RandFillAllocations (void)
void | SDLTest_LogAllocations (void)

## Function Documentation

## SDLTest_LogAllocations()

void SDLTest_LogAllocations | ( | void |  | ) |

Print a log of any outstanding allocations

Note
  This can be called after SDL_Quit()

## SDLTest_RandFillAllocations()

void SDLTest_RandFillAllocations | ( | void |  | ) |

Fill allocations with random data

Note
  This implicitly calls SDLTest_TrackAllocations()

## SDLTest_TrackAllocations()

void SDLTest_TrackAllocations | ( | void |  | ) |

Memory tracking related functions of SDL test framework.

This code is a part of the SDL test library, not the main SDL library. Start tracking SDL memory allocations

Note
  This should be called before any other SDL functions for complete tracking coverage